cdac.medinfo.model

## Class Identifiers

- java.lang.Object
- - cdac.medinfo.model.Identifiers

-     public class Identifiers
      extends java.lang.Object

  This class specify the identifier that uniquely identifies a thing or object.

  This class has the following attributes:

  1. Root Identifier (String)
  2. Extension (String)
  3. Assigning Authority Name (String)

  This class provides accessors and mutators for the elements mentioned above.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Identifiers()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAssigningAuthorityName()` Returns the human readable name or mnemonic for the assigning authority.
    `java.lang.String` | `getExtension()` Returns the character string as a unique identifier within the scope of the identifier root.
    `java.lang.String` | `getRootIdentifier()` Returns the unique identifier.
    `void` | `setAssigningAuthorityName(java.lang.String assigningAuthorityName)` Sets the human readable name or mnemonic for the assigning authority.
    `void` | `setExtension(java.lang.String extension)` Sets the character string as a unique identifier within the scope of the identifier root.
    `void` | `setRootIdentifier(java.lang.String rootIdentifier)` Sets the unique identifier.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Identifiers

          public Identifiers()

  - ### Method Detail

    - #### getRootIdentifier

          public java.lang.String getRootIdentifier()

      Returns the unique identifier.
      Returns:
        the rootIdentifier

    - #### setRootIdentifier

          public void setRootIdentifier(java.lang.String rootIdentifier)

      Sets the unique identifier.
      Parameters:
        `rootIdentifier` - Specifies the unique identifier.

    - #### getExtension

          public java.lang.String getExtension()

      Returns the character string as a unique identifier within the scope of the identifier root.
      Returns:
        the extension

    - #### setExtension

          public void setExtension(java.lang.String extension)

      Sets the character string as a unique identifier within the scope of the identifier root.
      Parameters:
        `extension` - Specifies character string as a unique identifier within the scope of the identifier root.

    - #### getAssigningAuthorityName

          public java.lang.String getAssigningAuthorityName()

      Returns the human readable name or mnemonic for the assigning authority.
      Returns:
        the assigningAuthorityName

    - #### setAssigningAuthorityName

          public void setAssigningAuthorityName(java.lang.String assigningAuthorityName)

      Sets the human readable name or mnemonic for the assigning authority.
      Parameters:
        `assigningAuthorityName` - Specifies the human readable name or mnemonic for the assigning authority.